%global __requires_exclude pear\\(PHPUnit/Framework.php\\)
%define upstream_name DB_ldap
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.2.1
Release:     	%mkrel 8
Summary:    	DB interface to LDAP server
License: 	LGPL
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/DB_ldap-%{version}.tgz
URL: 		http://pear.php.net/package/DB_ldap
BuildRequires:	php-pear >= 1.4.7
Requires:	php-pear >= 1.4.0b1
Requires:	php-pear-DB
BuildArch: 	noarch

%description
The PEAR::DB_ldap class provides a DB compliant interface to LDAP servers

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/DB_ldap.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/DB_ldap.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/DB_ldap
fi

%files
%{peardir}/*
%{xmldir}/DB_ldap.xml


%changelog
* Mon Feb 08 2016 umeabot <umeabot> 1.2.1-8.mga6
+ Revision: 946373
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2.1-7.mga5
+ Revision: 742663
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 1.2.1-6.mga5
+ Revision: 734040
- rebuild for pear deps

* Tue Sep 16 2014 umeabot <umeabot> 1.2.1-5.mga5
+ Revision: 687216
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Fri Oct 18 2013 umeabot <umeabot> 1.2.1-4.mga4
+ Revision: 516595
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.2.1-3.mga3
+ Revision: 375979
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 26 2012 spuhler <spuhler> 1.2.1-2.mga2
+ Revision: 201688
+ rebuild (emptylog)

* Mon Jan 23 2012 spuhler <spuhler> 1.2.1-1.mga2
+ Revision: 200100
- upgrade to 1.2.1
  pearized spec file

* Sat Feb 05 2011 spuhler <spuhler> 1.2.0-5.mga1
+ Revision: 47302
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-DB_ldap


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2.0-5mdv2011.0
+ Revision: 613632
- the mass rebuild of 2010.1 packages

* Wed Dec 16 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.2.0-4mdv2010.1
+ Revision: 479290
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 1.2.0-3mdv2010.0
+ Revision: 440974
- rebuild

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 1.2.0-2mdv2009.1
+ Revision: 321961
- rebuild

* Tue Sep 02 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.2.0-1mdv2009.0
+ Revision: 278912
- update to new version 1.2.0

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1.1-7mdv2009.0
+ Revision: 236828
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sun Nov 12 2006 Oden Eriksson <oeriksson@mandriva.com> 1.1.1-6mdv2007.0
+ Revision: 83324
- rebuild

* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 1.1.1-5mdv2007.0
+ Revision: 81549
- Import php-pear-DB_ldap

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 1.1.1-5mdk
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1.1-4mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1.1-3mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1.1-2mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1.1-1mdk
- 1.1.1

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1-1mdk
- initial Mandriva package (PLD import)

